[releng] sigulsign_unsigned: Add details to error message
by Till Maas
commit dbf026112fd5d339916381d1827490be999dd787
Author: Till Maas <opensource(a)till.name>
Date: Sun Oct 26 11:42:39 2014 +0100
sigulsign_unsigned: Add details to error message
scripts/sigulsign_unsigned.py | 9 +++++----
1 files changed, 5 insertions(+), 4 deletions(-)
---
diff --git a/scripts/sigulsign_unsigned.py b/scripts/sigulsign_unsigned.py
index ad7cf3f..a49d465 100755
--- a/scripts/sigulsign_unsigned.py
+++ b/scripts/sigulsign_unsigned.py
@@ -357,9 +357,9 @@ class SigulHelper(object):
self.arch = arch
command = self.build_cmdline('get-public-key', self.key)
- ret, pubkey = self.run_command(command)[0:2]
+ ret, pubkey, stderr = self.run_command(command)
if ret != 0:
- raise ValueError("Invalid key or password")
+ raise ValueError("Invalid key or password: " + stderr)
self.keyid, self.v3 = get_key_info(pubkey)
def build_cmdline(self, *args):
@@ -487,8 +487,9 @@ if __name__ == "__main__":
config_file=opts.sigul_config_file,
arch=opts.arch, ask=True,
ask_with_agent=opts.gpg_agent)
- except ValueError:
- logging.error('Error validating passphrase for key %s' % key)
+ except ValueError as error:
+ logging.error('Error validating passphrase for key %s: %s', key,
+ error)
sys.exit(1)
# setup the koji session
8 years, 11 months
[releng] autosigner: Fix exception reporting
by Till Maas
commit d2e2f60ea8d46128344795c48d88b3b4be9bf1cf
Author: Till Maas <opensource(a)till.name>
Date: Fri Oct 24 18:26:07 2014 +0200
autosigner: Fix exception reporting
scripts/autosigner.py | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
---
diff --git a/scripts/autosigner.py b/scripts/autosigner.py
index d8388f0..d2cc120 100755
--- a/scripts/autosigner.py
+++ b/scripts/autosigner.py
@@ -490,6 +490,6 @@ if __name__ == "__main__":
exc_type, exc_value, exc_traceback = sys.exc_info()
tb = traceback.format_exception(exc_type, exc_value,
exc_traceback)
- log.error("Exception: %s\nmessage was: %s", ("".join(tb), msg))
+ log.error("Exception: %s\nmessage was: %s", "".join(tb), msg)
except Exception, ee:
log.error("Exception fallback %s", e)
8 years, 11 months
[releng] do not make the Workstation install tree per FESCo
by Dennis Gilmore
commit bf1c146406be6bb7ffc2ca994938848d7208fdec
Author: Dennis Gilmore <dennis(a)ausil.us>
Date: Thu Oct 23 09:53:55 2014 -0500
do not make the Workstation install tree per FESCo
scripts/run-pungi | 8 ++++----
1 files changed, 4 insertions(+), 4 deletions(-)
---
diff --git a/scripts/run-pungi b/scripts/run-pungi
index 123c328..3cdbc94 100755
--- a/scripts/run-pungi
+++ b/scripts/run-pungi
@@ -43,7 +43,7 @@ popd
for arch in armhfp i386 x86_64
do
mock -r fedora-branched-compose-i386 --init || exit 1
- mock -r fedora-branched-compose-i386 --shell "pungi -c $KICKSTARTS/fedora-install-workstation.ks --destdir $DESTDIR --cachedir /srv/pungi/cache/ --arch=$arch -G -C --ver $VERSION --workdirbase=/tmp/work --name Fedora-Workstation --flavor Workstation" || exit 1
+ #mock -r fedora-branched-compose-i386 --shell "pungi -c $KICKSTARTS/fedora-install-workstation.ks --destdir $DESTDIR --cachedir /srv/pungi/cache/ --arch=$arch -G -C --ver $VERSION --workdirbase=/tmp/work --name Fedora-Workstation --flavor Workstation" || exit 1
mock -r fedora-branched-compose-i386 --shell "pungi -c $KICKSTARTS/fedora-install-server.ks --destdir $DESTDIR --cachedir /srv/pungi/cache/ --arch=$arch -G -C --ver $VERSION --workdirbase=/tmp/work --name Fedora-Server --flavor Server" || exit 1
mock -r fedora-branched-compose-i386 --shell "pungi -c $KICKSTARTS/fedora-install-cloud.ks --destdir $DESTDIR --cachedir /srv/pungi/cache/ --arch=$arch -G -C --ver $VERSION --workdirbase=/tmp/work --name Fedora-Cloud --flavor Cloud" || exit 1
mock -r fedora-branched-compose-i386 --clean || exit 1
@@ -66,7 +66,7 @@ do
set -x
umask 002
mock -r fedora-branched-compose-$arch --init || exit 1
- mock -r fedora-branched-compose-$arch --shell "pungi -c $KICKSTARTS/fedora-install-workstation.ks --destdir $DESTDIR --cachedir /srv/pungi/cache/ -B -I --no-dvd --ver $VERSION --workdirbase=/tmp/work --flavor Workstation --name=Fedora-Workstation"
+ #mock -r fedora-branched-compose-$arch --shell "pungi -c $KICKSTARTS/fedora-install-workstation.ks --destdir $DESTDIR --cachedir /srv/pungi/cache/ -B -I --no-dvd --ver $VERSION --workdirbase=/tmp/work --flavor Workstation --name=Fedora-Workstation"
mock -r fedora-branched-compose-$arch --shell "pungi -c $KICKSTARTS/fedora-install-server.ks --destdir $DESTDIR --cachedir /srv/pungi/cache/ -B -I --ver $VERSION --workdirbase=/tmp/work --flavor Server --name=Fedora-Server"
mock -r fedora-branched-compose-$arch --shell "pungi -c $KICKSTARTS/fedora-install-cloud.ks --destdir $DESTDIR --cachedir /srv/pungi/cache/ -B -I --no-dvd --ver $VERSION --workdirbase=/tmp/work --flavor Cloud --name=Fedora-Cloud"
mock -r fedora-branched-compose-$arch --clean || exit 1
@@ -83,7 +83,7 @@ popd
hardlink -vvc $FINALDEST/$VERSION/Workstation $FINALDEST/$VERSION/Server $FINALDEST/$VERSION/Cloud
-sg releng "./build_composeinfo $FINALDEST/$VERSION/Workstation"
+#sg releng "./build_composeinfo $FINALDEST/$VERSION/Workstation"
sg releng "./build_composeinfo $FINALDEST/$VERSION/Server"
sg releng "./build_composeinfo $FINALDEST/$VERSION/Cloud"
@@ -101,7 +101,7 @@ done
pushd $FINALDEST/$VERSION/
-sg releng "mkdir -p Images/armhfp Cloud/Images/i386 Cloud/Images/x86_64 Spins/i386 Spins/x86_64 Live/i386 Live/x86_64 Docker/x86_64 Workstation/armhfp/Images/"
+sg releng "mkdir -p Images/armhfp Cloud/Images/i386 Cloud/Images/x86_64 Spins/i386 Spins/x86_64 Live/i386 Live/x86_64 Docker/x86_64 Workstation/armhfp/Images/ Workstation/x86_64/iso Workstation/i386/iso"
popd
8 years, 11 months
Summary/Minutes from today's Release Engineering Meeting (2014-10-20)
by Kevin Fenzi
======================================
#fedora-meeting-1: RELENG (2014-10-20)
======================================
Meeting started by nirik at 14:30:20 UTC. The full logs are available at
http://meetbot.fedoraproject.org/fedora-meeting-1/2014-10-20/releng.2014-...
.
Meeting summary
---------------
* init process (nirik, 14:30:20)
* Secondary Architectures update - s390 (nirik, 14:34:06)
* Secondary Architectures update - ppc (nirik, 14:35:20)
* Secondary Architectures update - arm (nirik, 14:37:58)
* tickets (nirik, 14:41:46)
* LINK: https://fedorahosted.org/rel-eng/report/10 (nirik, 14:41:48)
* LINK: https://fedorahosted.org/rel-eng/ticket/6014 (nirik,
14:54:15)
* Open Floor (nirik, 14:58:09)
* LINK: https://bugzilla.redhat.com/show_bug.cgi?id=1081622 (nirik,
15:05:27)
Meeting ended at 15:06:24 UTC.
Action Items
------------
Action Items, by person
-----------------------
* **UNASSIGNED**
* (none)
People Present (lines said)
---------------------------
* nirik (55)
* sharkcz (13)
* bochecha (9)
* pbrobinson (8)
* pbabinca (5)
* zodbot (4)
* masta (2)
* janeznemanic (1)
* tyll (0)
* dgilmore (0)
--
14:30:20 <nirik> #startmeeting RELENG (2014-10-20)
14:30:20 <zodbot> Meeting started Mon Oct 20 14:30:20 2014 UTC. The
chair is nirik. Information about MeetBot at
http://wiki.debian.org/MeetBot. 14:30:20 <zodbot> Useful Commands:
#action #agreed #halp #info #idea #link #topic. 14:30:20 <nirik>
#meetingname releng 14:30:20 <nirik> #chair dgilmore nirik tyll sharkcz
bochecha masta pbrobinson 14:30:20 <nirik> #topic init process 14:30:20
<zodbot> The meeting name has been set to 'releng' 14:30:20 <zodbot>
Current chairs: bochecha dgilmore masta nirik pbrobinson sharkcz tyll
14:30:28 <nirik> who all is around for a releng meeting 14:30:36 *
sharkcz is here 14:30:42 <bochecha> I'm here
14:30:43 <janeznemanic> hi
14:32:10 <nirik> morning. I didn't send an agenda, because I forgot
to. ;) 14:32:17 <nirik> dgilmore-bne is traveling today.
14:33:31 * masta is here
14:33:35 <masta> hiya
14:34:00 <nirik> cool. lets start with secondary arches?
14:34:06 <nirik> #topic Secondary Architectures update - s390
14:34:18 <nirik> anything new and exciting?
14:34:36 <sharkcz> I was on PTO last week, so nothing new to report
14:34:54 <sharkcz> except Peter signed f21 rpms
14:35:12 <nirik> cool.
14:35:20 <nirik> #topic Secondary Architectures update - ppc
14:35:26 <nirik> anything with ppc?
14:35:41 <sharkcz> no Peter, so Ill
14:35:53 <nirik> yeah.
14:36:01 <sharkcz> stil lworking on Alpha, one last blocker in blivet
should be resolved today, so we are close 14:36:20 <nirik> cool.
14:36:30 <nirik> how are thinking looking for beta there? or hard to
say until alpha is out? 14:36:58 <sharkcz> actually the ppc alpha is
very close to beta in primary 14:37:29 <nirik> great
14:37:46 <nirik> anything else on ppc?
14:37:52 <sharkcz> nope
14:37:58 <nirik> #topic Secondary Architectures update - arm
14:39:18 <nirik> anything for arm? I guess no peter here either. ;)
14:40:00 <sharkcz> yes, out of my scope :-)
14:40:30 <nirik> One thing I'll note here: we may be moving arm and ppc
stuff to their own racks at some point. Consolidate them in one place
and such... 14:40:47 <nirik> probibly will need to be short downtimes
to move things, but then they will all be on the same serial/etc
14:41:13 <nirik> it's still in the planning stages... just a early
headsup 14:41:29 <sharkcz> ok, thanks for update 14:41:46 <nirik>
#topic tickets 14:41:48 <nirik>
https://fedorahosted.org/rel-eng/report/10 14:41:58 <nirik> is there
any specific tickets folks wanted to talk about? 14:42:35 <nirik> some
of those are waiting on more data... 14:43:31 <pbabinca> #6016 - do you
think it does make a sense to proceed with the ticket or decide gather
more info if that's good idea? 14:44:17 <bochecha> pbabinca, can you
maybe provide a list of packages that don't get installed with this
change? 14:44:20 <nirik> I don't see a problem with doing it... I guess
I'd like dgilmore to chime in before we implement, but seems ok
14:44:30 <nirik> how much time does it save? 14:45:01 <pbabinca> nirik,
I don't have the data yet. 14:45:09 <bochecha> nirik, not just time,
but also, the odds of breaing the buildroot are lower if less packages
get installed 14:45:12 <sharkcz> or how many packages? 14:45:16
<pbabinca> bochecha, true that. 14:45:24 <nirik> we already do this for
rhel5 I think build roots? 14:46:01 <pbabinca> We implement new
features in fedpkg and that means change of build root package.
14:46:03 <sharkcz> can it affect the minimal buildroot content
mentioned in the guuidelines? 14:46:54 <nirik> this would only be for
srpm right? 14:47:09 <pbabinca> nirik, yes. But that's all what fedpkg
is used for there. 14:47:14 <nirik> yeah 14:47:34 <bochecha> sharkcz,
no it wouldn't, this is only for the srpm-build group, not the build
one 14:47:35 <sharkcz> ah, then
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelin...
won't be affected 14:49:02 <nirik> right. 14:50:17 <nirik> so, lets
ping dgilmore-bne when he's back on line about it... see if he sees any
problems... 14:50:25 <nirik> but seems fine to me off hand. 14:51:08
<nirik> anything else on this? or other tickets folks would like to
discuss? 14:52:49 * pbrobinson is here 14:52:56 <nirik> hey pbrobinson
14:53:08 <nirik> anything you want to note or mention? 14:53:51
<pbrobinson> nope, all looks good here 14:54:05 <nirik> sharkcz: on
6014 did you get a list of builds? did we sort that out? 14:54:15
<nirik> https://fedorahosted.org/rel-eng/ticket/6014 14:54:17
<pbrobinson> I did primary tc4 Friday night and it mostly went to plan
from a rel-eng and my access POV 14:54:27 <nirik> cool. 14:56:01
<sharkcz> nirik: I don't have the list, sorry, maybe pbrobinson has one
from arm koji? 14:56:52 <pbrobinson> no, unfortunately I don't 14:57:01
<nirik> ok. 14:57:58 <nirik> I guess we update that as we can...
14:58:09 <nirik> #topic Open Floor 14:58:17 <nirik> anything for open
floor? 14:58:35 <pbrobinson> not from me 14:59:23 <pbrobinson> I'm
hoping we can close out ppc alpha this week, aarch64 alpha is done,
announce tomorrow and we'll then move straight into beta at basically
the same cnadince as mainline 14:59:35 <pbrobinson> candice ...
14:59:49 <nirik> :) ok. cool. 15:00:16 <nirik> ok, if nothing else will
close out in a minute... 15:00:59 <bochecha> I have a couple of mash
patches still awaiting for reviewx 15:01:12 <bochecha> if anyone with
commit access has time, they are on the mailing-list :) 15:02:03
<nirik> bochecha: cool. 15:02:11 <pbrobinson> bochecha: mailing list or
BZ?? 15:02:23 <nirik> BTW, threebean is working on getting a staging
compose box... so we can test mash changes. 15:02:27 <bochecha>
pbrobinson, rel-eng mailing-list 15:03:03 <bochecha> pbrobinson,
https://lists.fedoraproject.org/pipermail/rel-eng/2014-September/018424.html
and
https://lists.fedoraproject.org/pipermail/rel-eng/2014-September/018425.html
15:04:41 <nirik> bochecha: cool. BTW, if you have time/desire we are
having problems with a max delta rpm patch we made to mash... 15:04:53
<nirik> thats what threebean wanted to work on debugging. 15:05:12
<bochecha> nirik, sure, what can I do? 15:05:27 <nirik>
https://bugzilla.redhat.com/show_bug.cgi?id=1081622 15:05:43 <nirik> if
you see anything wrong with the patch or why it wouldn't be working,
chime in. ;) 15:06:21 <nirik> anyhow, thanks for coming everyone!
15:06:24 <nirik> #endmeeting
8 years, 11 months